Subject: bug#3419: 23.0.94; calc, calendar and temp-buffer-resize-mode

From: martin rudalics <[email-masked]>
Date: Mon, 24 Oct 2011 18:15:57 +0200

>> Calc could make its windows fixed-size but that's hardly reasonable with
 >> the current handling of fixed-size windows.  Any option affecting only
 >> the initial size of Calc windows won't help in the present case either.
 >> We could give Calc window parameters, say ideal-height and ideal-width,
 >> and try to use these when exiting `temp-buffer-resize-mode' but writing
 >> the corresponding code won't be trivial.
 >>
 >> martin
 >
 > Is there a satisfactory solution in light of the new windowing features?

It depends on what you want.  You can resove the example in your
original posting

 > 1. Emacs -Q
 > 2. (temp-buffer-resize-mode t)
 > 3. M-x calc
 > 4. h h

by doing

(setq temp-buffer-max-height
       (lambda (buffer)
	(max
	 (window-total-size)
	 (/ (- (frame-height) 2) 2))))

in your .emacs (personally I think that this should be the default
value).  If you refer to Jay's remark

 > I've never used temp-buffer-resize-mode before, but if it's supposed to
 > make a window a better size for displaying a temporary buffer, I'm
 > surprised it doesn't change anything back when the buffer is killed or
 > hidden.

that is you want to get the *scratch* window back in its original size,
then typing "q" in the help window should do what you want.

martin